Update project settings
PATCH
/api/v1/projects/{projectIdOrKey}/settings
const url = 'https://app.avera.io/api/v1/projects/example/settings';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"numbering":{"scheme":"TYPE_ONLY","projectPrefix":"example","separator":"example","padDigits":1,"perTypeSequences":true,"customPattern":"example"},"defaultAiModel":"example","validation":{"requirementItemType":"example","testItemType":"example"},"documents":{"headingNumbering":true}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://app.avera.io/api/v1/projects/example/settings \ --header 'Content-Type: application/json' \ --data '{ "numbering": { "scheme": "TYPE_ONLY", "projectPrefix": "example", "separator": "example", "padDigits": 1, "perTypeSequences": true, "customPattern": "example" }, "defaultAiModel": "example", "validation": { "requirementItemType": "example", "testItemType": "example" }, "documents": { "headingNumbering": true } }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectIdOrKey
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
numbering
required
object
scheme
required
string
projectPrefix
string | null
separator
required
string
padDigits
required
integer format: int32
perTypeSequences
required
boolean
customPattern
string | null
defaultAiModel
string | null
validation
required
object
requirementItemType
string | null
testItemType
string | null
documents
required
object
headingNumbering
required
boolean
Responses
Section titled “Responses”OK
Media type*/*
object
numbering
required
object
scheme
required
string
projectPrefix
string | null
separator
required
string
padDigits
required
integer format: int32
perTypeSequences
required
boolean
customPattern
string | null
defaultAiModel
string | null
validation
required
object
requirementItemType
string | null
testItemType
string | null
documents
required
object
headingNumbering
required
boolean